
Redmine - Defect #3454

Mercurial Repository Browsing Disappearing

2009-06-06 11:51 - Carlo Camerino

Status: Closed Start date: 2009-06-06

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version:  

Description

Hi,

My mercurial repository is always disappearing after I first look at it. Initially after configuration it is still there, but when I try to access

it again I don't see it anymore. You can trake a look at the screen shots for reference.

 Sreenshot.png 

History

#1 - 2009-06-06 12:25 - Carlo Camerino

Carlo Camerino wrote:

Hi,

My mercurial repository is always disappearing after I first look at it. Initially after configuration it is still there, but when I try to access it again I

don't see it anymore. You can trake a look at the screen shots for reference.

 Screenshot.png 

 I initially configure it then I logout, then login again and when I look it's no longer there.

It doesn't happen on version 0.8.4 though.

#2 - 2009-06-06 12:46 - Jean-Philippe Lang

I initially configure it then I logout, then login again and when I look it's no longer there.

 Do you login with the same account?

#3 - 2009-06-06 13:19 - Carlo Camerino

Jean-Philippe Lang wrote:

I initially configure it then I logout, then login again and when I look it's no longer there.

 Do you login with the same account?

 yes i did,

i think i was able to fix it via this

i think it's not a problem with redmine but rather with my mercurial configuration.

i googled around and checked and i got this. i think this is needed for redmine and mercurial configuration to set trusted users.

i had to set trusted and untrusted

~/.hgrc:

[trusted]

users = foo, bar, baz

groups = fred, barney

(use "*" if you want to trust all users/groups)
#4 - 2009-06-06 13:20 - Carlo Camerino

Carlo Camerino wrote:

Jean-Philippe Lang wrote:

I initially configure it then I logout, then login again and when I look it's no longer there.

 Do you login with the same account?

 yes i did,

i think i was able to fix it via this

i think it's not a problem with redmine but rather with my mercurial configuration.

i googled around and checked and i got this. i think this is needed for redmine and mercurial configuration to set trusted users.

i had to set trusted and untrusted

[...]

 if i don't do this by the way i get errors telling me that the entry revision or url could not be found.

it just works inconsistently. but when i applied this it seemed to work all of the time.

#5 - 2011-02-04 13:16 - Toshi MARUYAMA

- Assignee set to Toshi MARUYAMA

#6 - 2011-02-04 13:18 - Toshi MARUYAMA

Reference.

http://www.selenic.com/mercurial/hgrc.5.html#trusted

#7 - 2011-02-04 13:30 - Toshi MARUYAMA

- Status changed from New to Closed

- Assignee deleted (Toshi MARUYAMA)

- Resolution set to Cant reproduce

I can't reproduce.

Redmine reads only Mercurial repository and does not need to write permission.

trusted section is for .hg/hgrc, not for ~/.hgrc.

#8 - 2011-02-05 09:07 - Toshi MARUYAMA

- Subject changed from Mercuirial Repository Browsing Disappearing to Mercurial Repository Browsing Disappearing

I fixed subject typo.
